Use python-scipy together with python-numpy Debian packages and you will get the most recent NumPy, SciPy and f2py working well. If not, please report a bug.

Debian packages now

source packages: